curl --request PATCH \
--url https://api.hubapi.com/commerce/payment-links/2026-09/payment-links/{paymentLinkId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"businessUnitId": {},
"dealConfigurations": {},
"descriptionHtml": {},
"discountObjectId": {},
"domainId": {},
"successUrl": {},
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"automatedSalesTaxEnabled": true,
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"createContractOnPurchase": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discountObjectIds": [
"<string>"
],
"enableDefaultCheckoutFees": true,
"feeObjectIds": [
"<string>"
],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItemObjectIds": [
"<string>"
],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": 123
}
]
},
"quantity": 123,
"allowBuyerSelectedQuantity": true,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"storePaymentMethodAtCheckout": true,
"taxObjectIds": [
"<string>"
],
"taxes": [
{
"label": "<string>",
"value": 123
}
]
}
'import requests
url = "https://api.hubapi.com/commerce/payment-links/2026-09/payment-links/{paymentLinkId}"
payload = {
"businessUnitId": {},
"dealConfigurations": {},
"descriptionHtml": {},
"discountObjectId": {},
"domainId": {},
"successUrl": {},
"acceptedPaymentMethods": [],
"additionalFormFields": [
{
"isRequired": True,
"label": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"automatedSalesTaxEnabled": True,
"collectFullBillingAddress": True,
"collectShippingAddress": True,
"createContractOnPurchase": True,
"currencyCode": "<string>",
"discountCodeEnabled": True,
"discountObjectIds": ["<string>"],
"enableDefaultCheckoutFees": True,
"feeObjectIds": ["<string>"],
"fees": [
{
"label": "<string>",
"value": 123
}
],
"includeEmailInSuccessRedirect": True,
"isOneTimeUseEnabled": True,
"lineItemObjectIds": ["<string>"],
"lineItems": [
{
"mode": "CUSTOM",
"name": "<string>",
"pricing": { "prices": [
{
"currencyCode": "<string>",
"price": {},
"maxQuantity": 123
}
] },
"quantity": 123,
"allowBuyerSelectedQuantity": True,
"billingCycleAnchorDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": True,
"isOptional": True,
"lineItemCurrencyCode": "<string>",
"positionOnQuote": 123,
"priceBookId": "<string>",
"productId": "<string>",
"productType": "<string>",
"recurringBillingEndDate": "2023-12-25",
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"richTextDescription": "<string>",
"sku": "<string>",
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"storePaymentMethodAtCheckout": True,
"taxObjectIds": ["<string>"],
"taxes": [
{
"label": "<string>",
"value": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
businessUnitId: {},
dealConfigurations: {},
descriptionHtml: {},
discountObjectId: {},
domainId: {},
successUrl: {},
acceptedPaymentMethods: [],
additionalFormFields: [
{
isRequired: true,
label: '<string>',
options: [{label: '<string>', value: '<string>', description: '<string>'}],
propertyName: '<string>',
description: '<string>'
}
],
automatedSalesTaxEnabled: true,
collectFullBillingAddress: true,
collectShippingAddress: true,
createContractOnPurchase: true,
currencyCode: '<string>',
discountCodeEnabled: true,
discountObjectIds: ['<string>'],
enableDefaultCheckoutFees: true,
feeObjectIds: ['<string>'],
fees: [{label: '<string>', value: 123}],
includeEmailInSuccessRedirect: true,
isOneTimeUseEnabled: true,
lineItemObjectIds: ['<string>'],
lineItems: [
{
mode: 'CUSTOM',
name: '<string>',
pricing: {prices: [{currencyCode: '<string>', price: {}, maxQuantity: 123}]},
quantity: 123,
allowBuyerSelectedQuantity: true,
billingCycleAnchorDate: '2023-12-25',
billingStartDelayDays: 123,
billingStartDelayMonths: 123,
buyerSelectedQuantityMax: 123,
buyerSelectedQuantityMin: 123,
description: '<string>',
discount: 123,
discountPercentage: 123,
externalId: '<string>',
images: '<string>',
isEditablePrice: true,
isOptional: true,
lineItemCurrencyCode: '<string>',
positionOnQuote: 123,
priceBookId: '<string>',
productId: '<string>',
productType: '<string>',
recurringBillingEndDate: '2023-12-25',
recurringBillingPeriod: '<string>',
recurringBillingStartDate: '2023-12-25',
richTextDescription: '<string>',
sku: '<string>',
taxCategory: '<string>',
taxRateGroupId: '<string>',
variantId: '<string>'
}
],
paymentLinkName: '<string>',
storePaymentMethodAtCheckout: true,
taxObjectIds: ['<string>'],
taxes: [{label: '<string>', value: 123}]
})
};
fetch('https://api.hubapi.com/commerce/payment-links/2026-09/payment-links/{paymentLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"acceptedPaymentMethods": [
"CREDIT_OR_DEBIT_CARD"
],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"objectType": "COMPANY",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"archived": true,
"automatedSalesTaxEnabled": true,
"checkoutFeeIds": [
"<string>"
],
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"createContractOnPurchase": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discounts": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"fees": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"formGuid": "<string>",
"id": "<string>",
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItems": [
{
"id": "<string>",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": 123
}
],
"pricingModel": "FLAT"
},
"quantity": 123,
"acv": 123,
"allowBuyerSelectedQuantity": true,
"amount": 123,
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"arr": 123,
"billingCycleAnchorDate": "2023-12-25",
"billingPeriodEndDate": "2023-12-25",
"billingPeriodStartDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"billingStartDelayType": "HS_BILLING_START_DELAY_DAYS",
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"effectiveUnitPrice": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"isParent": true,
"lineItemCurrencyCode": "<string>",
"mrr": 123,
"parentLineItemId": "<string>",
"positionOnQuote": 123,
"postTaxAmount": 123,
"preDiscountAmount": 123,
"price": 123,
"priceBookId": "<string>",
"pricingModel": "FLAT",
"productId": "<string>",
"productType": "<string>",
"rampKey": "<string>",
"recurringBillingDayOfMonth": 123,
"recurringBillingEndDate": "2023-12-25",
"recurringBillingFrequency": "ANNUALLY",
"recurringBillingNumberOfPayments": 123,
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"recurringBillingTerms": "AUTOMATICALLY_RENEW",
"richTextDescription": "<string>",
"sku": "<string>",
"tax": 123,
"taxAmount": 123,
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"tcv": 123,
"termInMonths": 123,
"tierAmount": 123,
"totalDiscount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"paymentLinkUrl": "<string>",
"state": "OFF",
"storePaymentMethodAtCheckout": true,
"taxes": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"archivedAt": "2023-11-07T05:31:56Z",
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dealConfigurations": {
"createNewDealOnPurchase": true,
"pipelineStageId": "<string>"
},
"descriptionHtml": "<string>",
"domainId": "<string>",
"successUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update a payment link
Actualiza un enlace de pago por ID.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Parámetros de ruta
Cuerpo
Un objeto que representa el ID de la unidad de negocio asociada al enlace de pago.
Un objeto con la configuración del negocio.
Un objeto que contiene la descripción HTML del enlace de pago.
Un objeto que representa el ID del objeto de descuento asociado con el enlace de pago.
Un objeto que representa el ID de dominio asociado al enlace de pago.
Un objeto que representa la URL en caso de acción correcta a la que se hace un redireccionamiento al usuario después de una transacción exitosa.
Un conjunto de cadenas que indica los métodos de pago aceptados. Los valores válidos incluyen "CREDIT_OR_DEBIT_CARD", "ACH", "SEPA", "BACS" y "PADS".
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS, AFFIRM, KLARNA Un conjunto de objetos PaymentLinkFormField que representan campos de formulario adicionales para el enlace de pago.
Show child attributes
Show child attributes
Un valor booleano que indica si el impuesto sobre las ventas automatizado está habilitado.
Un valor booleano que indica si se debe recoger la dirección de facturación completa durante el proceso de pago.
Un valor booleano que indica si se debe recoger la dirección de envío durante el proceso de pago.
El código de divisa para el enlace de pago, representado como una cadena.
Show child attributes
Show child attributes
Un booleano que indica si los códigos de descuento están habilitados en el enlace de pago.
Un conjunto de cadenas que representan los ID de los objetos de descuento asociados con el enlace de pago.
Un valor booleano que indica si las tarifas de pago predeterminadas están habilitadas.
Una matriz de cadenas que representan los ID de los objetos de tarifas asociados con el enlace de pago.
Un conjunto de objetos FeeRequest que representan las tarifas asociadas al enlace de pago.
Show child attributes
Show child attributes
Un valor booleano que indica si se debe incluir el correo electrónico en el redireccionamiento en caso de acción correcta.
Un valor booleano que indica si el enlace de pago está habilitado para un solo uso.
Un conjunto de cadenas que representan los ID de los objetos de elementos de pedido asociados con el enlace de pago.
Un conjunto de objetos de elemento de pedido, que pueden ser de los tipos LineItemCustomCreateRequest, LineItemFromProductCreateRequest o LineItemCloneCreateRequest.
- CUSTOM
- FROM_PRODUCT
- CLONE
Show child attributes
Show child attributes
El nombre del enlace de pago, representado como una cadena.
El estado del enlace de pago, representado como una cadena. Los valores válidos son "ON" y "OFF".
OFF, ON Un valor booleano que indica si el método de pago se debe guardar al finalizar el pago.
Una matriz de cadenas que representan los ID de los objetos de impuestos asociados con el enlace de pago.
Un conjunto de objetos TaxRequest que representan los impuestos asociados con el enlace de pago.
Show child attributes
Show child attributes
Respuesta
successful operation
Una lista de métodos de pago aceptados para el enlace de pago. Los valores válidos son "CREDIT_OR_DEBIT_CARD", "ACH", "SEPA", "BACS" y "PADS".
CREDIT_OR_DEBIT_CARD, ACH, SEPA, BACS, PADS, AFFIRM, KLARNA Un conjunto de campos de formulario adicionales incluidos en el enlace de pago.
Show child attributes
Show child attributes
Un valor booleano que indica si el enlace de pago está archivado.
Un booleano que indica si el impuesto de ventas automatizado está habilitado para el enlace de pago.
Un conjunto de ID de cargos de pago asociados al enlace de pago.
Un valor booleano que indica si se debe recoger la dirección de facturación completa durante el proceso de pago.
Un valor booleano que indica si se debe recoger la dirección de envío durante el proceso de pago.
El código de divisa para el enlace de pago, representado como una cadena.
Un booleano que indica si los códigos de descuento están habilitados en el enlace de pago.
Un conjunto de objetos de descuento asociados al enlace de pago.
Show child attributes
Show child attributes
Un conjunto de objetos de tarifas asociados con el enlace de pago.
Show child attributes
Show child attributes
El GUID del formulario asociado al enlace de pago, representado como una cadena.
El identificador único del enlace de pago, representado como una cadena.
Un valor booleano que indica si se debe incluir el correo electrónico en la URL de redireccionamiento en caso de acción correcta.
Un valor booleano que indica si el enlace de pago está habilitado para un solo uso.
Un conjunto de elementos de pedido asociados con el enlace de pago.
Show child attributes
Show child attributes
El nombre del enlace de pago, representado como una cadena.
La URL del enlace de pago, representada como una cadena.
El estado actual del enlace de pago, representado como una cadena. Los valores válidos son "ON" y "OFF".
OFF, ON Un booleano que indica si se debe guardar el método de pago al finalizar el pago.
Un conjunto de objetos de impuestos asociados con el enlace de pago.
Show child attributes
Show child attributes
La fecha y hora en que se archivó el enlace de pago, en formato ISO 8601.
El ID de la unidad de negocio asociado al enlace de pago, representado como una cadena.
La fecha y hora en que se creó el enlace de pago, en formato ISO 8601.
Show child attributes
Show child attributes
La descripción HTML del enlace de pago, representada como una cadena.
El ID de dominio asociado al enlace de pago, representado como una cadena.
La URL a la que se hará redireccionamiento tras un pago exitoso, representada como una cadena.
La fecha y hora de la última actualización del enlace de pago, en formato ISO 8601.